MibLoaderException (Mibble 2.9.4 Documentation)
Date: 2016-09-27

net.percederberg.mibble

## Class MibLoaderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.percederberg.mibble.MibLoaderException

- All Implemented Interfaces:
    java.io.Serializable

      public class MibLoaderException
      extends java.lang.Exception

  A MIB loader exception. This exception is thrown when a MIB file couldn't be loaded properly, normally due to syntactical or semantical errors in the file.
  Since:
    2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MibLoaderException(java.io.File file, java.lang.String message)` Creates a new MIB loader exception.
    `MibLoaderException(MibLoaderLog log)` Creates a new MIB loader exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MibLoaderLog` | `getLog()` Returns the MIB loader log.
    `java.lang.String` | `getMessage()` Returns a error summary message.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MibLoaderException

          public MibLoaderException(MibLoaderLog log)

      Creates a new MIB loader exception.
      Parameters:
        `log` - the MIB loader log

    - #### MibLoaderException

          public MibLoaderException(java.io.File file,
                                    java.lang.String message)

      Creates a new MIB loader exception. The specified message will be added to a new MIB loader log as an error.
      Parameters:
        `file` - the file containg the error
        `message` - the error message
      Since:
        2.3

  - ### Method Detail

    - #### getLog

          public MibLoaderLog getLog()

      Returns the MIB loader log.
      Returns:
        the MIB loader log

    - #### getMessage

          public java.lang.String getMessage()

      Returns a error summary message.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        a error summary message